unit dataunitmain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  DataController, StdCtrls, ComCtrls, CommunicationServer, QDialogs;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
    procedure FormCreate(Sender: TObject);
  private
    Controller : TDataController;
    Server : TCommunicationServer;
    procedure ProcessCommand(Sender: TObject; Text: string);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Controller := TDataController.Create(self);
  Server := TCommunicationServer.Create(self);
  Server.Port := 10079;
  Server.OnClientReadText := ProcessCommand;
  Server.Start;
//  controller.ProcessCommand('savelog su2 thermal ' + DateToStr(Date) + ' ' + TimeToStr(Time) + ' 27');
//  controller.ProcessCommand('savelog su2 motiondetector ' + DateToStr(Date) + ' ' + TimeToStr(Time) + ' On');
end;

procedure TForm1.ProcessCommand(Sender: TObject; Text: string);
begin
  //command unit sensor date time value
  //savelog su1 thermal 22.11.2001 17.34 23
  //
  ShowMessage(text);
  controller.ProcessCommand(Text);
end;

end.
